Validate an agent document
Validate an agent document — Spinrun Build REST API operation.
/api/build/agents/validateAuthorization
bearerAuth OAuth access token whose grant carries Build authorization.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
A whole agent as one JSON document.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/build/agents/validate" \ -H "Content-Type: application/json" \ -d '{ "kind": "spinrun.agent/v1", "name": "string", "description": "string", "icon": "string", "space": { "team": "string" }, "folder": "string", "instructions": "string", "model": "string", "max_steps": 1, "tools": { "apps": [ "string" ], "connections": "all", "disabled_tools": [ "string" ], "approval": "destructive" }, "skills": [ "string" ], "workspace_skills": [ "string" ], "workflows": [ "string" ], "schedule": {}, "email": {}, "whatsapp": {}, "triggers": [ { "kind": "webhook", "name": "string" } ], "eval_criteria": "string" }'{ "data": { "valid": true, "changes": [ "string" ], "document": null }}